package net.sf.dc.console.wizards;

import java.awt.GridBagConstraints;
import java.awt.Insets;

import net.sf.dc.console.ItemForm;
import net.sf.dc.console.components.Layout;
import net.sf.dc.core.modules.DCModule;
import net.sf.dc.core.objects.DCObject;
import net.sf.dc.resources.DCMessages;
import net.sf.ext.util.Resources;

public class ItemDetailsWizardPanel extends WizardPanel {
    ItemForm itemForm = null;
    
    public ItemDetailsWizardPanel(DCModule module, DCObject dco) {
        build(module, dco);
    }    
    
    public DCObject apply() throws WizardException {
        return itemForm.getObject();
    }
    
    public void setObject(DCObject dco) {
        itemForm.setData(dco, true);
    }
    
    public String getHelpText() {
        return Resources.getText(DCMessages.msgEditDetails);
    }
    
    private void build(DCModule module, DCObject dco) {
        itemForm = new ItemForm(null, false,  false, dco, false, false, getClass(), 0);

        setLayout(Layout.getGBL());
        add(itemForm.getTabbedPane(), Layout.getGBC(0, 0, 1, 1, 1.0, 1.0
                       ,GridBagConstraints.NORTHWEST, GridBagConstraints.BOTH,
                        new Insets(5, 5, 5, 5), 0, 0));
    }
}
