package net.sf.ext.mediamanager.ebml;

/*
 * DataSource.java
 *
 * Created on November 18, 2002, 4:08 PM
 */

/**
 * Defines the interface used for custom <code>DataSource</code>'s.  A
 * <code>DataSource</code> provides methods of reading bytes individually or
 * in arrays.  These basic functions must be defined in any <code>DataSource</code>
 * objects to be used with the <code>EBMLReader</code>.
 *
 * @author  John Cannon
 */

public interface DataSource {

  public byte readByte();

  public int read(byte[] buff);

  public int read(byte[] buff, int offset, int length);

  public int skip(long offset);

  public int getBytePosition();
}
